%define tagname GUDEV_SHARP_0_1
%define relvers 0
%define tsuffix g2c53e2f
%define dsuffix cd3e7df

%global debug_package %{nil}

Name:           gudev-sharp
Version:        0.1
Release:        3%{?_dist_release}
Summary:        C# bindings for gudev
Summary(ja):    gudev の C# バインディング

Group:   	System Environment/Libraries
License:        LGPLv2
URL:            http://github.com/mono/%{name}
# Releases are tarballs downloaded from a tag at github.
# They are releases, but the file is generated on the fly.
# The actual URL is: http://github.com/mono/$name/tarball/$tagname
Source0:        mono-%{name}-%{tagname}-%{relvers}-%{tsuffix}.tar.gz

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libgudev1-devel
BuildRequires:  gtk2-devel
BuildRequires:  gtk-sharp2-devel
BuildRequires:  gtk-sharp2-gapi
BuildRequires:  mono-devel
Requires:	libgudev1

# Mono only available on these:
#ExclusiveArch: %ix86 x86_64 ppc ppc64 ia64 %{arm} sparcv9 alpha s390x

Vendor:		Project Vine
Distribution:	Vine Linux

%package devel
Summary:        Development files for gudev-sharp
Summary(ja):    gudev-sharp の開発用ファイル
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:	pkgconfig

%description
C# bindings for gudev

%description devel
Development files for gudev-sharp

%prep
%setup -q -n mono-%{name}-%{dsuffix}

%build
sed -i 's|^\./configure.*||' autogen.sh # Remove the configure step, we'll do it manually
./autogen.sh
%configure --libdir=%{_prefix}/lib
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT pkgconfigdir=%{_datadir}/pkgconfig

chmod 644 `find $RPM_BUILD_ROOT%{_prefix}/lib/mono -name '*.dll.config'`
rm -f $RPM_BUILD_ROOT%{_prefix}/lib/mono/%{name}-1.0/%{name}.dll.config

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog LICENSE.LGPL NEWS
%{_prefix}/lib/mono/gac/%{name}
%{_prefix}/lib/mono/%{name}-1.0

%files devel
%defattr(-,root,root,-)
%{_datadir}/pkgconfig/%{name}-1.0.pc

%changelog
* Wed Apr  1 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.1-3
- rebuilt with mono 3.12.1
- changed BuildArch to noarch
- moved to System Environment/Libaries Group

* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1-2
- rebuild with VineSeed environment

* Sun Jun 03 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1-1
- initial build for Vine Linux


* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Jan 01 2012 Christian Krause <chkr@fedoraproject.org> - 0.1-7
- Add mandatory BR mono-devel

* Mon Oct 31 2011 Christian Krause <chkr@fedoraproject.org> - 0.1-6
- Change paths for mono assemblies according to updated packaging
  guidelines (http://fedoraproject.org/wiki/Packaging:Mono)

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 10 2011 Dan Horák <dan[at]danny.cz> - 0.1-4
- updated the supported arch list

* Mon Oct 04 2010 Nathaniel McCallum <nathaniel@natemccallum.com> - 0.1-3
- Fix directory ownership

* Sun Oct 03 2010 Nathaniel McCallum <nathaniel@natemccallum.com> - 0.1-2
- Fix -devel requires (pkgconfig, base package)
- Disable debuginfo

* Wed Sep 29 2010 Nathaniel McCallum <nathaniel@natemccallum.com> - 0.1-1
- Initial version

